<?php
  ///////////////////////////////////////////////////
  //2007 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if (is_file ("../lang/".$lang."/".$lang.".php")) include "../lang/".$lang."/".$lang.".php";
     else include "../lang/ru/ru.php";

  $title=$titlepage= $TEXT['size-title2'];
  $helppage = "";

  require_once "../config.php";
  require_once "../util/top.php";

  if($result2['user'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['master'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['manager'] == 1) puterror2($TEXT['error-loginform4']);

  if(empty($_POST['size_name'])) puterror2($TEXT['error-size1']);
  if(strlen($_POST['size_name'])>100) puterror2($TEXT['error-size2']);

  if(isset($_POST['size_name'])) $size_name=trim($_POST['size_name']);
    else $size_name="";
     if (empty($size_name)) puterror2($TEXT['error-size3']);

  $_POST['size_name'] = rep($_POST['size_name']);

  $query_chk = "SELECT `size_name` FROM `tbl_sizes` WHERE `size_name`='".$_POST['size_name']."' ";
     $result_chk = mysql_query($query_chk);
     if (!$result_chk) puterror2($TEXT['error-tbl35']);
       if (mysql_num_rows($result_chk)>0) puterror2($TEXT['global-est']);

  //*************************************
  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-size1'];
  $what = $_POST['size_name'];
  $who = $result2['fullname'];
  //*************************************
  $query = "INSERT INTO `tbl_sizes` ( `size_id` , `size_name` ) VALUES ( NULL , '".$_POST['size_name']."')";
  if(mysql_query($query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysql_query($query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php'>
                   </head></html>";
           } else puterror2($TEXT['error-log']);
  } else puterror2($TEXT['error-size4']);
  require_once "../util/bottom.php";
?>
